petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFReset

Reset a star forest so that different sizes or neighbors can be used

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFReset(PetscSF sf)

Collective

### Input Arguments

sf -star forest

### See Also

PetscSFCreate(), PetscSFSetGraph(), PetscSFDestroy()

### Level

advanced

### Location

src/vec/is/sf/interface/sf.c

### Implementations

PetscSFReset_Allgatherv in src/vec/is/sf/impls/basic/allgatherv/sfallgatherv.c
PetscSFReset_Neighbor in src/vec/is/sf/impls/basic/neighbor/sfneighbor.c
PetscSFReset_Basic in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFReset_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages